﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Imaging;

namespace Kresleni
{
    public partial class MyArea : UserControl
    {
        int X0, Y0;
        bool stisk = false;

        static int cnt = 0;

        public MyArea()
        {
            InitializeComponent();
            Name = "my area " + ++ cnt;
        }

        /*
        public override string ToString ()
        { 
            return "MyArea";
        }
        */

        private void MyArea_MouseDown(object sender, MouseEventArgs e)
        {
            X0 = e.X; Y0 = e.Y; stisk = true;
        }

        private void MyArea_MouseMove(object sender, MouseEventArgs e)
        {
            if (stisk)
            {
                if (e.Button == MouseButtons.Left)
                {
                    this.Left += e.X - X0;
                    this.Top += e.Y - Y0;
                }
                else if (e.Button == MouseButtons.Right)
                {
                    Width += e.X - X0;
                    Height += e.Y - Y0;
                    X0 = e.X;
                    Y0 = e.Y;
                }
            }

        }

        private void MyArea_MouseUp(object sender, MouseEventArgs e)
        {
            stisk = false;

        }

        Random r = new Random ();

        private void button1_Click(object sender, EventArgs e)
        {
            MyArea a = new MyArea ();
            Color c = Color.FromArgb (64 + r.Next(192),
                                      64 + r.Next(192),
                                      64 + r.Next(192));

            a.BackColor = c;
            a.Left = button1.Left;
            a.Top = button1.Top + button1.Height;

            a.Parent = this;
        }

        private void button2_Click(object sender, EventArgs e)
        {
           if (openFileDialog1.ShowDialog () == DialogResult.OK)
           {
               BackgroundImage = new Bitmap (openFileDialog1.FileName);
               saveFileDialog1.FileName = openFileDialog1.FileName;
           }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                // using System.Drawing.Imaging;
                string s = saveFileDialog1.FileName; 
                string t = s.ToLower ();
                if (t.EndsWith(".jpg") || t.EndsWith(".jpeg"))
                    BackgroundImage.Save(s, ImageFormat.Jpeg);
                else
                    BackgroundImage.Save(s, ImageFormat.Png);
            }
        }
    }
}
